Subject: RE: [speechsc] Limitation: Client side cache controls

From: "Jeff Haynie" <[email-masked]>
Date: Wed, 28 Sep 2005 14:55:40 -0400

I think that makes perfect sense than.

________________________________

From: Shanmugham, Saravanan [mailto:[email-masked]] 
Sent: Wednesday, September 28, 2005 2:55 PM
To: Jeff Haynie; Dave Burke; [email-masked]
Subject: RE: [speechsc] Limitation: Client side cache controls

Not all. I would be fine with just the subset of Cache-Control headers
defined in the MRCPv2 specification.

Sarvi

________________________________

	From: Jeff Haynie [mailto:[email-masked]] 
	Sent: Wednesday, September 28, 2005 11:48 AM
	To: Shanmugham, Saravanan; Dave Burke; [email-masked]
	Subject: RE: [speechsc] Limitation: Client side cache controls

	The only question I would have is should we also define the
others as well such as max-stale for consistency? And for that matter,
should we just allow any of the Cache-Control directions from
RFC2616[1], section 14.9 as valid parameters per URI or just stick with
the one's defined in VoiceXML?  I would be fine with either.
	 
	[1] http://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html

________________________________

	From: [email-masked]
[mailto:[email-masked]] On Behalf Of Shanmugham, Saravanan
	Sent: Wednesday, September 28, 2005 2:39 PM
	To: Dave Burke; [email-masked]
	Subject: RE: [speechsc] Limitation: Client side cache controls

	I like option 3 best. If there are no objections to this. I will
fold that in.
	 
	Sarvi

________________________________

		From: [email-masked]
[mailto:[email-masked]] On Behalf Of Dave Burke
		Sent: Monday, September 26, 2005 2:30 AM
		To: [email-masked]
		Subject: [speechsc] Limitation: Client side cache
controls

		I am wondering how to efficiently activate more than one
grammar with different client-side cache controls. Imagine a VoiceXML
case:
		 
		<grammar src="gram1.grxml" maxage="0"/>
		<grammar src="gram2.grxml maxage="100"/>
		 
		I could put these in a RECOGNIZE request with a
text/uri-list body part but I can only apply the Cache-Control: max-age
header on the complete RECOGNIZE request, which is scoped over the
entire request (and not per URI or indeed per body part).
		 
		Three workarounds I see:
		 (1) Do a DEFINE-GRAMMAR per grammar with the
appropriate Cache-Control: max-age
		 (2) Redefine Cache-Control as a MIME-extension-field
(naming it Content-Cache-Control). 
		       Then at least I can put a single entry
text/uri-list in each body part and use a single RECOGNIZE
		(3) Add a parameter to the URI e.g.
		     <gram1.grxml>;max-age=0
		     <gram2.grxml>;max-age=100
		 
		Option (1) is chatty when the MRCP client needs to
activate several grammars (this is quite a common occurrence). Option
(2) or Option (3) is preferable (save for the fact that we're supposed
to be done with v2 of MRCP).
		 
		Dave

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc

---

From: "Dave Burke" <[email-masked]>
Date: Thu, 29 Sep 2005 09:42:39 +0100

Agreed.

Minor additional point: We should specify that parameters on the
text/uri-list take precedence over the equivalent MRCP headers (applies to
;weight / Weight: also).

Dave

----- Original Message ----- 
From: Jeff Haynie
To: Shanmugham, Saravanan ; Jeff Haynie ; Dave Burke ; [email-masked]
Sent: Wednesday, September 28, 2005 7:55 PM
Subject: RE: [speechsc] Limitation: Client side cache controls

Sarvi

The only question I would have is should we also define the others as well
such as max-stale for consistency? And for that matter, should we just allow
any of the Cache-Control directions from RFC2616[1], section 14.9 as valid
parameters per URI or just stick with the one's defined in VoiceXML?  I
would be fine with either.

From: [email-masked] [mailto:[email-masked]] On Behalf
Of Shanmugham, Saravanan
Sent: Wednesday, September 28, 2005 2:39 PM
To: Dave Burke; [email-masked]
Subject: RE: [speechsc] Limitation: Client side cache controls

I like option 3 best. If there are no objections to this. I will fold that
in.

Sarvi

From: [email-masked] [mailto:[email-masked]] On Behalf
Of Dave Burke
Sent: Monday, September 26, 2005 2:30 AM
To: [email-masked]
Subject: [speechsc] Limitation: Client side cache controls

I am wondering how to efficiently activate more than one grammar with
different client-side cache controls. Imagine a VoiceXML case:

I could put these in a RECOGNIZE request with a text/uri-list body part but
I can only apply the Cache-Control: max-age header on the complete RECOGNIZE
request, which is scoped over the entire request (and not per URI or indeed
per body part).

Three workarounds I see:
 (1) Do a DEFINE-GRAMMAR per grammar with the appropriate Cache-Control:
max-age
 (2) Redefine Cache-Control as a MIME-extension-field (naming it
Content-Cache-Control).
       Then at least I can put a single entry text/uri-list in each body
part and use a single RECOGNIZE
(3) Add a parameter to the URI e.g.
     <gram1.grxml>;max-age=0
     <gram2.grxml>;max-age=100

Option (1) is chatty when the MRCP client needs to activate several grammars
(this is quite a common occurrence). Option (2) or Option (3) is preferable
(save for the fact that we're supposed to be done with v2 of MRCP).

Dave